Subject: bug#6693: 24.0.50; font-lock-(builtin|doc) faces are *way* too close

From: Chong Yidong <[email-masked]>
Date: Sun, 03 Jul 2011 22:32:06 -0400

David De La Harpe Golden <[email-masked]> writes:

> I'd say we absolutely should try to keep the emacs out-of-box color
> scheme colorblind-safe

That is hard to get right; a color-blind safe palette inherently
conflicts with the goal of making face colors as distinguishable as
possible for the non-color-blind.  Emacs 24 has a custom theme
(dichromacy) that implements a palette specifically optimized for
dichromatic color blindness.

As for font-lock-builtin-face, changing it back to Orchid is no good;
that shade is far too light, at least on the LCD monitors I've used
Emacs on.  I wouldn't mind changing it to something completely different
though, e.g. midnight blue.  We have too may purplish colors in the
default palette anyway.